Index: src/driver.h
===================================================================
RCS file: /data/cvs/libvirt/src/driver.h,v
retrieving revision 1.49
diff -u -r1.49 driver.h
--- src/driver.h	5 Jun 2008 21:12:27 -0000	1.49
+++ src/driver.h	9 Jun 2008 02:49:09 -0000
@@ -576,7 +576,9 @@
 typedef int (*virDrvStateCleanup) (void);
 typedef int (*virDrvStateReload) (void);
 typedef int (*virDrvStateActive) (void);
+#ifndef WIN32 
 typedef int (*virDrvSigHandler) (siginfo_t *siginfo);
+#endif
 
 typedef struct _virStateDriver virStateDriver;
 typedef virStateDriver *virStateDriverPtr;
@@ -586,7 +588,9 @@
     virDrvStateCleanup     cleanup;
     virDrvStateReload      reload;
     virDrvStateActive      active;
+#ifndef WIN32
     virDrvSigHandler       sigHandler;
+#endif
 };
 
 /*
Index: src/internal.h
===================================================================
RCS file: /data/cvs/libvirt/src/internal.h,v
retrieving revision 1.74
diff -u -r1.74 internal.h
--- src/internal.h	23 May 2008 08:32:08 -0000	1.74
+++ src/internal.h	9 Jun 2008 02:49:09 -0000
@@ -350,12 +350,16 @@
 int __virStateCleanup(void);
 int __virStateReload(void);
 int __virStateActive(void);
+#ifndef WIN32
 int __virStateSigDispatcher(siginfo_t *siginfo);
+#endif
 #define virStateInitialize() __virStateInitialize()
 #define virStateCleanup() __virStateCleanup()
 #define virStateReload() __virStateReload()
 #define virStateActive() __virStateActive()
+#ifndef WIN32
 #define virStateSigDispatcher(s) __virStateSigDispatcher(s)
+#endif
 
 int __virDrvSupportsFeature (virConnectPtr conn, int feature);
 
Index: src/libvirt.c
===================================================================
RCS file: /data/cvs/libvirt/src/libvirt.c,v
retrieving revision 1.145
diff -u -r1.145 libvirt.c
--- src/libvirt.c	5 Jun 2008 21:12:27 -0000	1.145
+++ src/libvirt.c	9 Jun 2008 02:49:10 -0000
@@ -609,7 +609,7 @@
     }
     return ret;
 }
-
+#ifndef WIN32
 int __virStateSigDispatcher(siginfo_t *siginfo) {
     int i, ret = 0;
 
@@ -620,6 +620,7 @@
     }
     return ret;
 }
+#endif
 
 
 
Index: tests/testutils.c
===================================================================
RCS file: /data/cvs/libvirt/tests/testutils.c,v
retrieving revision 1.16
diff -u -r1.16 testutils.c
--- tests/testutils.c	29 May 2008 19:41:40 -0000	1.16
+++ tests/testutils.c	9 Jun 2008 02:49:10 -0000
@@ -156,7 +156,11 @@
     if ((stderrfd = open(_PATH_DEVNULL, O_WRONLY)) < 0)
         goto cleanup;
 
+#ifndef WIN32
     open_max = sysconf (_SC_OPEN_MAX);
+#else
+    open_max = 16;
+#endif
     for (i = 0; i < open_max; i++) {
         if (i != stdinfd &&
             i != stderrfd &&
@@ -186,7 +190,7 @@
                                  char **buf,
                                  int buflen) {
     int pipefd[2];
-
+#ifndef WIN32
     if (pipe(pipefd) < 0)
         return -1;
 
@@ -226,6 +230,9 @@
             return ret;
         }
     }
+#else
+    return -1;
+#endif
 }
 
 
Index: tests/testutilsqemu.c
===================================================================
RCS file: /data/cvs/libvirt/tests/testutilsqemu.c,v
retrieving revision 1.2
diff -u -r1.2 testutilsqemu.c
--- tests/testutilsqemu.c	22 May 2008 16:18:40 -0000	1.2
+++ tests/testutilsqemu.c	9 Jun 2008 02:49:10 -0000
@@ -1,5 +1,6 @@
 #include <config.h>
 
+#ifdef WITH_QEMU
 #include <sys/utsname.h>
 #include <stdlib.h>
 
@@ -70,3 +71,4 @@
     virCapabilitiesFree(caps);
     return NULL;
 }
+#endif /* WITH_QEMU */
